PHPExcel

# Class: LagrangeInterpolation

Source Location: /PHPExcel/Shared/JAMA/examples/LagrangeInterpolation.php

### Class Overview

Given n points (x0,y0)...(xn-1,yn-1), the following methid computes the polynomial factors of the n-1't degree polynomial passing through the n points.

#### Author(s):

- Jacob Dreyer
- Paul Meagher (port to PHP and minor changes)

### Methods

- findPolynomialFactors

### Class Details

[line 21]
Given n points (x0,y0)...(xn-1,yn-1), the following methid computes the polynomial factors of the n-1't degree polynomial passing through the n points.

Example: Passing in three points (2,3) (1,4) and (3,7) will produce the results [2.5, -8.5, 10] which means that the points are on the curve y = 2.5x² - 8.5x + 10.

#### Tags:

author: | Jacob Dreyer
author: | Paul Meagher (port to PHP and minor changes)
see: | http://geosoft.no/software/lagrange/LagrangeInterpolation.java.html

[ Top ]

### Class Methods

### method findPolynomialFactors [line 23]

`void findPolynomialFactors( $x, $y)`

#### Tags:

access: | public

#### Parameters:

| $x |
| $y |

[ Top ]

Documentation generated on Fri, 12 Oct 2012 00:16:32 +0200 by phpDocumentor 1.4.4